Package org.eclipse.m2m.atl.adt.ui.text.hover

# Class AtlTextHover

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.hover.AtlTextHover

All Implemented Interfaces:
  `org.eclipse.jface.text.ITextHover`

public class AtlTextHover extends Object implements org.eclipse.jface.text.ITextHover

## Constructor Summary

Constructors
Constructor
Description
`AtlTextHover(AtlEditor editor)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHoverInfo(org.eclipse.jface.text.ITextViewer textViewer, org.eclipse.jface.text.IRegion hoverRegion)`
`org.eclipse.jface.text.IRegion`
`getHoverRegion(org.eclipse.jface.text.ITextViewer textViewer, int offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlTextHover

public AtlTextHover(AtlEditor editor)

## Method Details

### getHoverInfo

public String getHoverInfo(org.eclipse.jface.text.ITextViewer textViewer, org.eclipse.jface.text.IRegion hoverRegion)

Specified by:
  `getHoverInfo` in interface `org.eclipse.jface.text.ITextHover`
See Also:
  - `ITextHover.getHoverInfo(org.eclipse.jface.text.ITextViewer, org.eclipse.jface.text.IRegion)`

### getHoverRegion

public org.eclipse.jface.text.IRegion getHoverRegion(org.eclipse.jface.text.ITextViewer textViewer, int offset)

Specified by:
  `getHoverRegion` in interface `org.eclipse.jface.text.ITextHover`
See Also:
  - `ITextHover.getHoverRegion(org.eclipse.jface.text.ITextViewer, int)`